# PVXMLDigitsGrammar Class Reference

`#include <vxml.h>`

Inheritance diagram for PVXMLDigitsGrammar:

List of all members.

## Public Member Functions

| PVXMLDigitsGrammar (PVXMLSession &session, PXMLElement &field, PINDEX minDigits, PINDEX maxDigits, PString terminators)
virtual void | OnUserInput (const char ch)

## Protected Attributes

PINDEX | m_minDigits
PINDEX | m_maxDigits
PString | m_terminators

## Constructor & Destructor Documentation

PVXMLDigitsGrammar::PVXMLDigitsGrammar | ( | PVXMLSession & | session,
|  | PXMLElement & | field,
|  | PINDEX | minDigits,
|  | PINDEX | maxDigits,
|  | PString | terminators |
| ) |  |  |

## Member Function Documentation

virtual void PVXMLDigitsGrammar::OnUserInput | ( | const char | ch | ) | `[virtual]`

Implements PVXMLGrammar.

## Member Data Documentation

PINDEX PVXMLDigitsGrammar::m_maxDigits `[protected]`

PINDEX PVXMLDigitsGrammar::m_minDigits `[protected]`

PString PVXMLDigitsGrammar::m_terminators `[protected]`

The documentation for this class was generated from the following file:

- vxml.h